import { ProjectModel } from "@bryntum/schedulerpro";

const project = new ProjectModel({
  // This config enables response validation and dumping of found errors to the browser console.
  // It's meant to be used as a development stage helper only so please set it to false for production systems.
  validateResponse: true,
});

export const useSchedulerProConfig = {
  project,
  columns: [{ text: "Name", field: "name", width: 160 }],
  startDate: new Date(2022, 0, 1),
  endDate: new Date(2023, 0, 10),
  features: {
    nonWorkingTime: true,
    resourceNonWorkingTime: {
      maxTimeAxisUnit: "week",
    },
  },

  zoomKeepsOriginalTimespan: true,

  nonWorkingTimeFeature: true,

  resourceNonWorkingTimeFeature: true,

  // Calendar preset view
  viewPreset: {
    base: "dayAndWeek",
  },
  listeners: {
    scheduleDblClick({ source, date }) {
      console.log(source.viewPreset.id);
      console.log(date);
    },

    timeAxisHeaderContextMenu({ startDate, endDate }) {
      console.log(startDate, endDate);
      const message = "You clicked " + startDate + " to " + endDate;
      alert(message);
    },

    timeAxisHeaderMenuBeforeShow() {
      // Stop Bryntum context menu from showing
      return false;
    },
  },
};
